Skip to main content
GET
https://api.clay.com/public/v0
/
routines
/
run-batch
/
{routine_run_id}
/
results
Fetch progress and results for a batch run
curl --request GET \
  --url https://api.clay.com/public/v0/routines/run-batch/{routine_run_id}/results \
  --header 'clay-api-key: <api-key>'
const options = {method: 'GET', headers: {'clay-api-key': '<api-key>'}};

fetch('https://api.clay.com/public/v0/routines/run-batch/{routine_run_id}/results', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.clay.com/public/v0/routines/run-batch/{routine_run_id}/results"

headers = {"clay-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "error": {
    "details": [
      {
        "field": "<string>",
        "line_number": 123,
        "message": "<string>"
      }
    ],
    "message": "<string>",
    "total_invalid_rows": 123
  },
  "routine_run_id": "<string>",
  "status": "<string>"
}
{
  "finished": 123,
  "routine_run_id": "<string>",
  "status": "<string>",
  "total": 123
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

clay-api-key
string
header
required

Personal API key tied to your Clay user. Create one under Settings → Account in the Clay app.

Path Parameters

routine_run_id
string
required

Response

200

error
object
required
routine_run_id
string
required
status
string
required
Allowed value: "validation_failed"